Page MenuHomePhabricator

Search shouldn't display misleading "No results found" if there is an error in the search backend
Closed, ResolvedPublic

Description

Original ticket: T102464

If the search api reports an error (e.g. "search backend too busy"), the app shows a misleading "No results found" and doesn't show the info reported by the api. This should be fixed, we had some tickets in our OTRS support queue, because of a search backend failure (related T102463 and the doc of it) with the question, why all search queries reports, that there aren't matches.

The api response was (i remember, that we're using search and not prefixsearch anymore, but i'm not sure :)):

{
    "servedby": "mw1121",
    "error": {
        "code": "srsearch-error",
        "info": "Search is currently too busy.  Please try again later.",
        "*": "See https://en.wikipedia.org/w/api.php for API usage"
    }
}

Event Timeline

Fjalapeno created this task.Jul 6 2015, 2:28 PM
Fjalapeno raised the priority of this task from to Needs Triage.
Fjalapeno updated the task description. (Show Details)
Fjalapeno added a subscriber: Fjalapeno.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2015, 2:28 PM
Mhurd claimed this task.Sep 17 2015, 9:39 PM
Mhurd set Security to None.

Checked with 5.0.0.434 iPhone 5 iOS 9.02 according to https://github.com/wikimedia/wikipedia-ios/pull/122.


JMinor closed this task as Resolved.Nov 18 2015, 8:42 PM
JMinor added a subscriber: JMinor.

Need to work on placement of notification, but functionality is there.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 18 2015, 8:42 PM